# Uses of Interface
org.eclipse.core.runtime.preferences.IEclipsePreferences.IPreferenceChangeListener

Packages that use IEclipsePreferences.IPreferenceChangeListener
Package
Description
org.eclipse.core.runtime.preferences
Provides core support for Eclipse preferences.

## Uses of IEclipsePreferences.IPreferenceChangeListener in org.eclipse.core.runtime.preferences

Methods in org.eclipse.core.runtime.preferences with parameters of type IEclipsePreferences.IPreferenceChangeListener
Modifier and Type
Method
Description
`void`
IEclipsePreferences.`addPreferenceChangeListener(IEclipsePreferences.IPreferenceChangeListener listener)`
Register the given listener for notification of preference changes to this node.
`void`
IEclipsePreferences.`removePreferenceChangeListener(IEclipsePreferences.IPreferenceChangeListener listener)`
De-register the given listener from receiving notification of preference changes to this node.